Subject: Re: [Idr] AD Review of draft-ietf-idr-bgp-ls-segment-routing-msd-09

From: Alvaro Retana <[email-masked]>
Date: Fri, 6 Mar 2020 09:11:05 -0800

On February 28, 2020 at 8:17:42 PM, Jeff Tantsura wrote:

Jeff:

Hi!

Thanks for the updated text -- I looked at -13.

I think that including BGP, in this document, as one of the sources of
the MSD is not the right thing to do.  Please see the details below.

That is the only major item remaining.  Please take a look at idnits
as there are a couple of unused references left:
https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-ietf-idr-bgp-ls-segment-routing-msd-13.txt

Thanks!

Alvaro.

> On Feb 26, 2020, 2:19 PM -0800, Alvaro Retana , wrote:
...
> > This document, like many other BGP-LS specifications to carry
> > IGP-derived information is written with that assumption: that the
> > information will come from the IGPs. However, §2 reads:
> >
> > The BGP-LS speaker may also advertise the MSD information for the local
> > node and its links when not running any link-state IGP protocol e.g. when
> > running BGP as the only routing protocol.
> >
> > This case (no IGP) is not fully explained in the text. Borrowing from
> > the IGP RFCs, two clear pieces of information that are missing are:
> >
> > (1) A definition of what the Node/Link MSDs are. I borrowed from rfc8476
> > and made suggestions for §3 and §4 of this document (in-line).
> >
> > (2) "Procedures for Defining and Using Node and Link MSD Advertisements",
> > similar to §4 (in both rfc8476/rfc8491). Suggestion: simply include the
> > text from rfc8476 after §4 of this document.
>
> [jeff]Ack
> >
> >
> > The text in §2 is also not specific on how this local information
> > should be advertised using BGP-LS. Should the Direct Protocol
> > Identifier be used, or, because of "running BGP as the only routing
> > protocol" should it be BGP? Please add details to the specification.
>
> [jeff] Ack, it is BGP

As far as I can tell, this is the first BGP-LS-related document that,
while defining how to carry IGP information, tries to talk about
collecting that information in a BGP-only network.  See below.

> > One more related point. The deployment model for collecting
> > IGP-derived information is that "BGP-LS is configured on a small
> > number of nodes" [rfc8491], but the model for advertising local
> > information is different. Please include some text about that too.

The related text from §2 is this:

   The BGP-LS speaker may also advertise the MSD information for the
   local node and its links when not running any link-state IGP protocol
   e.g. when running BGP as the only routing protocol.  The Protocol-ID
   field should be set to BGP since the link and node attributes have
   BGP based identifiers.  Deployment model for such case would be: a
   limited number (meeting resiliecy requirements) of BGP-LS speakers
   exposing the topology to the controller, full-mesh/RouteReflectors
   for iBGP(Internal Border Gateway Protocol) or regular eBGP(External
   Border Gateway Protocol) connectivity between nodes in the topology.

[major] Suggestion: remain consistent with other BGP-LS documents and
focus on carrying IGP-originated information.  We can let a different
document (like draft-ketant-idr-bgp-ls-bgp-only-fabric) deal with the
BGP-only details.

Note that this is my personal suggestion.  I didn't see a specific
discussion on the list about this topic.  If we need to reconfirm
consensus then we should ask the WG.  I'll rely on the
Shepherd/Chairs.

Note 1: I you follow this suggestion, then you need to remove the
extra information you added in the new §5.

Note 2: If you don't follow the suggestion, then there are some other
issues we need to deal with as follows:

[major] "The Protocol-ID field should be set to BGP..."  Shouldn't
this statement be Normative?  Why would the protocol-id not be set to
BGP?  IOW, should it be a MUST?

[major] "The Protocol-ID...set to BGP"  Please add a Normative
reference to draft-ietf-idr-bgpls-segment-routing-epe, which is where
the BGP Protocol-ID is defined.

[major] "...link and node attributes have BGP based identifiers."
Because we're talking about a BGP-only network, these attributes
(similar to the ones collected from the IGPs) should represent the
topology of the network so that the controller can do its magic.
Where is that defined?  It seems to me that the only document that
defines it is draft-ketant-idr-bgp-ls-bgp-only-fabric, so we'll need a
Normative reference to it too.

[major] "Deployment model for such case would be..."  Those deployment
models don't work in this case because BGP doesn't propagate the
topology information.  IOW, connections to all the routers are needed.

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Mon, 30 Mar 2020 12:51:39 +0000

Hi Alvaro,

I see that the point of inclusion of advertisement of MSD in BGP-only networks is the only outstanding point to be addressed from your AD review. You have suggested that the aspects related to advertisement in BGP-only networks are better covered via draft-ketant-idr-bgp-ls-bgp-only-fabric.

As a co-author of both the concerned drafts, I am ok with removing the BGP-only network aspects from the MSD draft and taking it up in the draft that covers aspects of BGP-only networks.

Would like to take inputs of the WG as well on the same and we can plan to move the draft-ketant-idr-bgp-ls-bgp-only-fabric for adoption.

Thanks,
Ketan

-----Original Message-----
From: Alvaro Retana <[email-masked]> 
Sent: 06 March 2020 22:41
To: [email-masked]; Jeff Tantsura <[email-masked]>
Cc: Susan Hares <[email-masked]>; [email-masked]; idr@ietf. org <[email-masked]>
Subject: Re: AD Review of draft-ietf-idr-bgp-ls-segment-routing-msd-09

Jeff:

Hi!

I think that including BGP, in this document, as one of the sources of the MSD is not the right thing to do.  Please see the details below.

That is the only major item remaining.  Please take a look at idnits as there are a couple of unused references left:
https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-ietf-idr-bgp-ls-segment-routing-msd-13.txt

Thanks!

Alvaro.

...
> > local node and its links when not running any link-state IGP 
> > protocol e.g. when running BGP as the only routing protocol.
> >
> > This case (no IGP) is not fully explained in the text. Borrowing 
> > from the IGP RFCs, two clear pieces of information that are missing are:
> >
> > (1) A definition of what the Node/Link MSDs are. I borrowed from 
> > rfc8476 and made suggestions for §3 and §4 of this document (in-line)

---

From: Jeff Tantsura <[email-masked]>
Date: Mon, 30 Mar 2020 15:13:19 -0700

Hi Alvaro,

As communicated by Ketan, the authors have decided to address  MSD in BGP-only networks someplace else.
v16 has been published to reflect this change.

Many thanks for your help!

Cheers,
Jeff